4.1 Update 3: sii0680ide.device not compatible with SE

A forum for AmigaOne XE and MicroA1-C specific issues.
Post Reply
User avatar
TSK
Beta Tester
Beta Tester
Posts: 220
Joined: Mon Dec 20, 2010 1:15 pm
Location: Home land of Santa C., sauna, sisu and salmiakki

4.1 Update 3: sii0680ide.device not compatible with SE

Post by TSK »

If I boot with the new sii0680ide.device from Update 3 (53.8, 16.1.2011) then it hangs after Kickstart modules are loaded and the boot splash is displayed. On serial debug output there's irq_wait timed out, lba28 read error 255 and eventually timeout, all this multiple times. If I replace sii0680ide.device.kmod with the old version from Update 2 (53.3, 5.2.2009) then 4.1 Update 3 works fine otherwise.

Who's the author of these drivers so I can send the complete debug log. Or can I just put it in here.
Keep the party going !
User avatar
ssolie
Beta Tester
Beta Tester
Posts: 1010
Joined: Mon Dec 20, 2010 8:51 pm
Location: Canada
Contact:

Re: 4.1 Update 3: sii0680ide.device not compatible with SE

Post by ssolie »

TSK wrote:Who's the author of these drivers so I can send the complete debug log. Or can I just put it in here.
I have been updating the sii0680 driver. If it no longer functions on the SE I am sorry but you will have to stick to using the earlier version. I am not interested in spending time on the SE board.
ExecSG Team Lead
User avatar
TSK
Beta Tester
Beta Tester
Posts: 220
Joined: Mon Dec 20, 2010 1:15 pm
Location: Home land of Santa C., sauna, sisu and salmiakki

Re: 4.1 Update 3: sii0680ide.device not compatible with SE

Post by TSK »

@ssolie
Understood. No problem.
Keep the party going !
User avatar
Hypex
Beta Tester
Beta Tester
Posts: 443
Joined: Mon Dec 20, 2010 2:23 pm
Location: Vic. Australia.

Re: 4.1 Update 3: sii0680ide.device not compatible with SE

Post by Hypex »

ssolie wrote:If it no longer functions on the SE I am sorry but you will have to stick to using the earlier version.
I don't know. What's to say the SE hasn't uncomvered some hidden bugs that may affect supported A1s?

Looks what's happening with the EHCI driver. Although that is a new addition.
User avatar
webba
Posts: 1
Joined: Mon Sep 12, 2011 9:16 pm
Location: Finland

Re: 4.1 Update 3: sii0680ide.device not compatible with SE

Post by webba »

Hello,

I have to say that the driver works OK, on my AOne SE even after the update with version 53.8. of sii0680ide.device.
After reading that SE was not offically supported and a few problems I thought that everything would go bad. But I have to say that I have not had any problems after the update or during it. Well I have not had time to use the machine that much, but anyway it seems good.

Eero
Post Reply